Bug 2095057 - wike does not start -> crash
Summary: wike does not start -> crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wike
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Gustavo Costa
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-08 21:54 UTC by customercare
Modified: 2022-06-11 01:42 UTC (History)
1 user (show)

Fixed In Version: wike-1.7.2-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-11 01:42:15 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2022-06-08 21:54:30 UTC
A fresh installtion of wike crashes on startup:

wike-1.8.0-1.fc35.noarch.rpm                                                            582 kB/s | 111 kB     00:00    
------------------------------------------------------------------------------------------------------------------------
Gesamt                                                                                  319 kB/s | 111 kB     00:00     
Transaktionsüberprüfung wird ausgeführt
Transaktionsüberprüfung war erfolgreich.
Transaktion wird getestet
Transaktionstest war erfolgreich.
Transaktion wird ausgeführt
  Vorbereitung läuft    :                                                                                           1/1 
  Installieren          : wike-1.8.0-1.fc35.noarch                                                                  1/1 
  Ausgeführtes Scriptlet: wike-1.8.0-1.fc35.noarch                                                                  1/1 
  Überprüfung läuft     : wike-1.8.0-1.fc35.noarch                                                                  1/1 

Installiert:
  wike-1.8.0-1.fc35.noarch                                                                                              

Fertig!
[X@X ~]$ wike
Traceback (most recent call last):
  File "/usr/bin/wike", line 47, in <module>
    from wike import application
  File "/usr/share/wike/wike/application.py", line 29, in <module>
    from wike.window import Window
  File "/usr/share/wike/wike/window.py", line 27, in <module>
    from wike.page import PageBox
  File "/usr/share/wike/wike/page.py", line 26, in <module>
    from wike.view import WikiView
  File "/usr/share/wike/wike/view.py", line 44, in <module>
    class ViewSettings:
  File "/usr/share/wike/wike/view.py", line 48, in ViewSettings
    style_manager = Handy.StyleManager.get_default()
  File "/usr/lib64/python3.10/site-packages/gi/module.py", line 126, in __getattr__
    raise AttributeError("%r object has no attribute %r" % (
AttributeError: 'gi.repository.Handy' object has no attribute 'StyleManager'

Comment 1 Gustavo Costa 2022-06-09 17:33:09 UTC
Unfortunately I didn't notice that the new version requires libhandy >= 1.6, 
and that Fedora 35 has libhandy 1.4.1. I will roll back to 1.7.2 using Epoch, 
because wike 1.7.2 works fine and I don't know if libhandy will be updated.

Thanks so much for reporting this. I wasn't careful enough :|

Comment 2 Fedora Update System 2022-06-09 18:06:37 UTC
FEDORA-2022-16c1fc6748 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-16c1fc6748

Comment 3 Fedora Update System 2022-06-10 01:16:34 UTC
FEDORA-2022-16c1fc6748 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-16c1fc6748`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-16c1fc6748

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-06-11 01:42:15 UTC
FEDORA-2022-16c1fc6748 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.